<!DOCTYPE html>
<html>

<head>
  <title> Task 32.60 - Load Album Pics</title>
  <meta charset="UTF-8">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>
    <div class="container p-4 text-center">
    <h3><b>Danh Sách Ảnh của Album số 3</b></h3>
    <!-- TODO 1: Thêm 1 dòng mới thủ công ở table trên (thêm thủ công  bằng HTML) -->
    <table id="table-album3" class="table table-bordered table-striped ">
      <thead>
        <!-- phần head, dòng tiêu đề  của bảng -->
        <tr class="bg-info">
          <td>STT </td>
          <td> Album </td>
          <td>Title</td>
          <td>Url Ảnh</td>
          <td> Thumbnail</td>
        </tr>
      </thead>
      <!-- phần dữ liệu của bảng -->
        <tbody>
        </tbody>
    </table>

</body>
<script>
            /*******<REION 1>********************<REION 1>*********************<REION 1>******/

             /*******<REION 2>********************<REION 2>*********************<REION 2>******/
    "use strict";
    $(document).ready(function(){
        onPageLoading();
    });
             /*******<REION 3>********************<REION 3>*********************<REION 3>******/
    function onPageLoading(){
        console.log("Tải trang...");
        callApiGetPicsData();
    }
            /*******<REION 4>********************<REION 4>*********************<REION 4>******/
    function callApiGetPicsData(){
            $.ajax({
      url: "https://jsonplaceholder.typicode.com/albums/3/photos",
      type: "GET",
      dataType: "json",
      success: function(res) {
        console.log(res);
        loadDataToTable(res);
    },
      error: function(ajaxContext) {
        console.log(ajaxContext.responseText);
      },
    });   
    }
    function loadDataToTable(paramDataRes){
        for (var bI=0; bI<paramDataRes.length;bI++){
            var bNewRow=$("<tr>").appendTo("#table-album3");
            $("<td>").html(bI+1).appendTo(bNewRow);
            $("<td>").html(3).appendTo(bNewRow);
            $("<td>").html(paramDataRes[bI].title).appendTo(bNewRow);
            $("<td>").html(paramDataRes[bI].url).appendTo(bNewRow);
            $("<img>").attr("src",paramDataRes[bI].thumbnailUrl)
                    .attr("style", "width:120px")
                    .appendTo(bNewRow);
        }
    }

</script>
</html>